version: '3.5'
services:

  #PHP Service
  app:
    build:
      context: .
      dockerfile: ./php/Dockerfile
    image: digitalocean.com/php
    container_name: sandbox_todo_app
    restart: unless-stopped
    tty: true
    environment:
      SERVICE_NAME: app
      SERVICE_TAGS: prod
      PHP_OPCACHE_VALIDATE_TIMESTAMPS: 1
    working_dir: /var/www/app
    volumes:
       - ./app:/var/www/app
       - ./php/local.ini:/usr/local/etc/php/conf.d/local.ini
    networks:
      - app-network

  #workspace
  workspace:
    build:
      context: .
      dockerfile: ./workspace/Dockerfile
    image: php:7.4-fpm-alpine
    container_name: sandbox_todo_workspace
    restart: unless-stopped
    tty: true
    environment:
      SERVICE_NAME: workspace
      SERVICE_TAGS: dev
    working_dir: /var/www/app
    volumes:
       - ./workspace/:/etc/supervisor/
       - ./app:/var/www/app
       - ./workspace/atualiza/:/atualiza/
    networks:
      - app-network

  #Nginx Service
  nginx:
    image: nginx:alpine
    container_name: sandbox_todo_nginx
    restart: unless-stopped
    tty: true
    ports:
      - "80:80"
      - "443:443"
    volumes:
      - ./app:/var/www/app
      - ./nginx/conf.d/:/etc/nginx/conf.d/
    networks:
      - app-network

  mysql:
    image: mysql
    command: --default-authentication-plugin=mysql_native_password
    restart: always
    ports:
      - 3306:3306
    environment:
      MYSQL_ROOT_PASSWORD: a
    networks:
      - app-network

  phpmyadmin:
    depends_on:
      - mysql
    image: phpmyadmin/phpmyadmin
    container_name: phpmyadmin
    restart: always
    ports:
      - '8080:80'
    environment:
      PMA_HOST: mysql
    networks:
      - app-network

#Docker Networks
networks:
  app-network:
    driver: bridge
    name: app-network
